Name: 		im-ja
Summary: 	Japanese input module for GTK2 and XIM server
Version: 	1.5
Release: 	1
License: 	GPL
Group: 		System/Libraries
URL:            http://im-ja.sourceforge.net/
Source: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	gtk2 >= 2.2.0
BuildPrereq: 	gtk2-devel

%description
 im-ja is a Japanese input module for GTK2 and also has a XIM server.
 Currently supports hiragana, katakana, half-width katakana, zenkaku, canna, wnn, anthy, skk
 and kanji character recognition inputs.
 Conversion hotkeys, status window, preedit text colors, etc. can be customized
 through a GUI. An optional applet is also included for the gnome-panel which
 can be used to display and change the input method.
                                                                                                                                               

%prep
%setup -q

%build
%configure --disable-schemas-install
make
%install
rm -rf $RPM_BUILD_ROOT

# Mandrake only?
#%makeinstall_std

%{makeinstall}
#make prefix=$RPM_BUILD_ROOT%{_prefix} \
# bindir=$RPM_BUILD_ROOT%{_bindir} \
# mandir=$RPM_BUILD_ROOT%{_mandir} \
# libdir=$RPM_BUILD_ROOT%{_libdir} \
# localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
# datadir=$RPM_BUILD_ROOT%{_datadir} \
# includedir=$RPM_BUILD_ROOT%{_includedir} \
# sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/gconf $RPM_BUILD_ROOT%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

#this hack is stupid fedora
ARCH=`uname -i`
IMMODULES=`ls %{_sysconfdir}/gtk-2.0/$ARCH*/gtk.immodules`
case $ARCH in
    alpha*|ia64*|powerpc64*|s390x*|x86_64*)
	%{_bindir}/gtk-query-immodules-2.0-64 > $IMMODULES
    ;;
    *)
	%{_bindir}/gtk-query-immodules-2.0-32 > $IMMODULES
    ;;
esac

GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/im-ja.schemas > /dev/null

%postun
/sbin/ldconfig

#this hack is stupid fedora
ARCH=`uname -i`
IMMODULES=`ls %{_sysconfdir}/gtk-2.0/$ARCH*/gtk.immodules`
case $ARCH in
    alpha*|ia64*|powerpc64*|s390x*|x86_64*)
	%{_bindir}/gtk-query-immodules-2.0-64 > $IMMODULES
    ;;
    *)
	%{_bindir}/gtk-query-immodules-2.0-32 > $IMMODULES
    ;;
esac

%preun
if [ "$1" = "0" ]; then
    GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/im-ja.schemas > /dev/null
fi


%files
%defattr(-, root, root)
%doc README COPYING TODO AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/gtk-2.0/*
%{_libexecdir}/im-ja/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/im-ja/*
%{_datadir}/locale/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


